Get one published Insight
curl --request GET \
--url https://middlemantechnologies.com/api/v1/insights/{slug}const options = {method: 'GET'};
fetch('https://middlemantechnologies.com/api/v1/insights/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://middlemantechnologies.com/api/v1/insights/{slug}"
response = requests.get(url)
print(response.text){
"data": {
"slug": "<string>",
"title": "<string>",
"dek": "<string>",
"category": "<string>",
"publishedAt": "2023-12-25",
"updatedAt": "2023-12-25",
"readingMinutes": 2,
"proof": "<string>",
"status": "published",
"author": "<string>",
"featured": true,
"blocks": [
{
"type": "paragraph",
"text": "<string>"
}
],
"sources": [
{
"label": "<string>",
"url": "<string>",
"evidenceDate": "2023-12-25",
"authority": "<string>"
}
],
"url": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"code": "<string>",
"retryable": true
}Insights
Get one published Insight
Retrieve one published Middleman Insight and its evidence register by slug.
GET
https://middlemantechnologies.com
/
api
/
v1
/
insights
/
{slug}
Get one published Insight
curl --request GET \
--url https://middlemantechnologies.com/api/v1/insights/{slug}const options = {method: 'GET'};
fetch('https://middlemantechnologies.com/api/v1/insights/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://middlemantechnologies.com/api/v1/insights/{slug}"
response = requests.get(url)
print(response.text){
"data": {
"slug": "<string>",
"title": "<string>",
"dek": "<string>",
"category": "<string>",
"publishedAt": "2023-12-25",
"updatedAt": "2023-12-25",
"readingMinutes": 2,
"proof": "<string>",
"status": "published",
"author": "<string>",
"featured": true,
"blocks": [
{
"type": "paragraph",
"text": "<string>"
}
],
"sources": [
{
"label": "<string>",
"url": "<string>",
"evidenceDate": "2023-12-25",
"authority": "<string>"
}
],
"url": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"code": "<string>",
"retryable": true
}Call the list endpoint first when you do not already have an exact slug.
Path Parameters
Exact lowercase, hyphenated slug returned by the list endpoint.
Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Response
Published Insight
Hide child attributes
Hide child attributes
Required range:
x >= 1Last modified on September 4, 2026
Was this page helpful?
⌘I